Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.impl.xades
Interface XadesSpecification

All Known Implementing Classes:
  XadesBesSpecification, XadesCSpecification, XadesSpecification, XadesTSpecification

    public interface XadesSpecification

Field Summary
`static String` | `XMLNS_XADES_1_3_2`

Method Summary
`void` | `addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps, org.apache.xml.security.signature.XMLSignature sig, String uuid, Map<String,Object> options)`
`void` | `addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps, org.apache.xml.security.signature.XMLSignature sig, Credential signing, String uuid, Map<String,Object> options)`
`void` | `verify(SignatureVerificationResult result, Element sigElement)`

Field Detail

### XMLNS_XADES_1_3_2

    static final String XMLNS_XADES_1_3_2

See Also:
  Constant Field Values

Method Detail

### addOptionalBeforeSignatureParts

    void addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps,
                                         org.apache.xml.security.signature.XMLSignature sig,
                                         Credential signing,
                                         String uuid,
                                         Map<String,Object> options)
                                         throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### addOptionalAfterSignatureParts

    void addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps,
                                        org.apache.xml.security.signature.XMLSignature sig,
                                        String uuid,
                                        Map<String,Object> options)
                                        throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### verify

    void verify(SignatureVerificationResult result,
                Element sigElement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.